Package fr.gouv.vitam.common.model.administration

# Class AccessContractModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AbstractContractModel
fr.gouv.vitam.common.model.administration.AccessContractModel

public class AccessContractModel extends AbstractContractModel
Data Transfer Object Model of access contract (DTO).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATA_OBJECT_VERSION`
  DataObjectVersion
  `static final String`
  `DO_NOT_FILTER_FILING_SCHEMES`
  `static final String`
  `EVERY_DATA_OBJECT_VERSION`
  Work for all data object version
  `static final String`
  `EVERY_ORIGINATINGAGENCY`
  Work for all originating agencies
  `static final String`
  `EXCLUDED_ROOT_UNITS`
  Excluded root units
  `static final String`
  `ORIGINATING_AGENCIES`
  OriginatingAgencies
  `static final String`
  `ROOT_UNITS`
  Root units
  `static final String`
  `RULE_CATEGORY_TO_FILTER`
  `static final String`
  `RULE_CATEGORY_TO_FILTER_FOR_THE_OTHER_ORIGINATING_AGENCIES`
  `static final String`
  `SKIP_FILING_SCHEME_RULE_CATEGORY_FILTER`

  ### Fields inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `TAG_CREATION_DATE, TAG_DESCRIPTION, TAG_IDENTIFIER, TAG_LAST_UPDATE, TAG_NAME, TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessContractModel()`
  Constructor without fields use for jackson

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActivationStatus`
  `getAccessLog()`
  `Set<String>`
  `getDataObjectVersion()`
  `Boolean`
  `getDoNotFilterFilingSchemes()`
  `Boolean`
  `getEveryDataObjectVersion()`
  `Boolean`
  `getEveryOriginatingAgency()`
  `Set<String>`
  `getExcludedRootUnits()`
  `Set<String>`
  `getOriginatingAgencies()`
  Get the collection of originating agency
  `Set<String>`
  `getRootUnits()`
  `Set<RuleType>`
  `getRuleCategoryToFilter()`
  `Set<RuleType>`
  `getRuleCategoryToFilterForTheOtherOriginatingAgencies()`
  `Boolean`
  `getSkipFilingSchemeRuleCategoryFilter()`
  `Boolean`
  `getWritingPermission()`
  `Boolean`
  `getWritingRestrictedDesc()`
  `void`
  `initializeDefaultValue()`
  `Boolean`
  `isEveryDataObjectVersion()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `getEveryDataObjectVersion()`
  `AccessContractModel`
  `setAccessLog(ActivationStatus accessLog)`
  `AccessContractModel`
  `setDataObjectVersion(Set<String> dataObjectVersion)`
  `AccessContractModel`
  `setDoNotFilterFilingSchemes(Boolean doNotFilterFilingSchemes)`
  `AccessContractModel`
  `setEveryDataObjectVersion(Boolean everyDataObjectVersion)`
  Set the 'everyDataObjectVersion' flag on the contract.
  `AccessContractModel`
  `setEveryOriginatingAgency(Boolean everyOriginatingAgency)`
  Set the 'everyOriginatingAgency' flag on the contract.
  `AccessContractModel`
  `setExcludedRootUnits(Set<String> excludedRootUnits)`
  Collection of archive units' GUIDs.
  `AccessContractModel`
  `setOriginatingAgencies(Set<String> originatingAgencies)`
  Set the collection of originating agency
  `AccessContractModel`
  `setRootUnits(Set<String> rootUnits)`
  Collection of GUID of archive units.
  `AccessContractModel`
  `setRuleCategoryToFilter(Set<RuleType> ruleCategoryToFilter)`
  `AccessContractModel`
  `setRuleCategoryToFilterForTheOtherOriginatingAgencies(Set<RuleType> ruleCategoryToFilterForTheOtherOriginatingAgencies)`
  `AccessContractModel`
  `setSkipFilingSchemeRuleCategoryFilter(Boolean skipFilingSchemeRuleCategoryFilter)`
  `AccessContractModel`
  `setWritingPermission(Boolean writingPermission)`
  `AccessContractModel`
  `setWritingRestrictedDesc(Boolean writingRestrictedDesc)`

  ### Methods inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `getActivationdate, getActivationDate, getCreationdate, getCreationDate, getDeactivationdate, getDeactivationDate, getDescription, getId, getIdentifier, getLastupdate, getLastUpdate, getName, getStatus, getTenant, getVersion, setActivationdate, setActivationDate, setCreationdate, setCreationDate, setDeactivationdate, setDeactivationDate, setDescription, setId, setIdentifier, setLastupdate, setLastUpdate, setName, setStatus, setTenant, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ORIGINATING_AGENCIES

    public static final String ORIGINATING_AGENCIES
    OriginatingAgencies
    See Also:
      - Constant Field Values

  - ### ROOT_UNITS

    public static final String ROOT_UNITS
    Root units
    See Also:
      - Constant Field Values

  - ### EXCLUDED_ROOT_UNITS

    public static final String EXCLUDED_ROOT_UNITS
    Excluded root units
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_VERSION

    public static final String DATA_OBJECT_VERSION
    DataObjectVersion
    See Also:
      - Constant Field Values

  - ### EVERY_DATA_OBJECT_VERSION

    public static final String EVERY_DATA_OBJECT_VERSION
    Work for all data object version
    See Also:
      - Constant Field Values

  - ### EVERY_ORIGINATINGAGENCY

    public static final String EVERY_ORIGINATINGAGENCY
    Work for all originating agencies
    See Also:
      - Constant Field Values

  - ### RULE_CATEGORY_TO_FILTER

    public static final String RULE_CATEGORY_TO_FILTER
    See Also:
      - Constant Field Values

  - ### RULE_CATEGORY_TO_FILTER_FOR_THE_OTHER_ORIGINATING_AGENCIES

    public static final String RULE_CATEGORY_TO_FILTER_FOR_THE_OTHER_ORIGINATING_AGENCIES
    See Also:
      - Constant Field Values

  - ### DO_NOT_FILTER_FILING_SCHEMES

    public static final String DO_NOT_FILTER_FILING_SCHEMES
    See Also:
      - Constant Field Values

  - ### SKIP_FILING_SCHEME_RULE_CATEGORY_FILTER

    public static final String SKIP_FILING_SCHEME_RULE_CATEGORY_FILTER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessContractModel

    public AccessContractModel()
    Constructor without fields use for jackson

- ## Method Details

  - ### getOriginatingAgencies

    public Set<String> getOriginatingAgencies()
    Get the collection of originating agency
    Returns:
      originatingAgencies collection

  - ### setOriginatingAgencies

    public AccessContractModel setOriginatingAgencies(Set<String> originatingAgencies)
    Set the collection of originating agency

  - ### getDataObjectVersion

    public Set<String> getDataObjectVersion()
    Returns:
      dataObjectVersion

  - ### setDataObjectVersion

    public AccessContractModel setDataObjectVersion(Set<String> dataObjectVersion)
    Returns:
      AccessContractModel

  - ### getWritingPermission

    public Boolean getWritingPermission()
    Returns:
      writingPermission

  - ### setWritingPermission

    public AccessContractModel setWritingPermission(Boolean writingPermission)
    Returns:
      AccessContractModel

  - ### getWritingRestrictedDesc

    public Boolean getWritingRestrictedDesc()
    Returns:
      writingRestrictedDesc

  - ### setWritingRestrictedDesc

    public AccessContractModel setWritingRestrictedDesc(Boolean writingRestrictedDesc)
    Returns:
      AccessContractModel

  - ### getEveryOriginatingAgency

    public Boolean getEveryOriginatingAgency()
    Returns:
      true if all originatingAgencies are enabled for this contract

  - ### setEveryOriginatingAgency

    public AccessContractModel setEveryOriginatingAgency(Boolean everyOriginatingAgency)
    Set the 'everyOriginatingAgency' flag on the contract.
    Parameters:
      `everyOriginatingAgency` - If true, all originatingAgencies are enabled for this contract
    Returns:
      the contract

  - ### getEveryDataObjectVersion

    public Boolean getEveryDataObjectVersion()
    Returns:
      true if all data object version are enabled for this contract

  - ### isEveryDataObjectVersion

    @Deprecated(forRemoval=true, since="8.0") public Boolean isEveryDataObjectVersion()
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `getEveryDataObjectVersion()`

  - ### setEveryDataObjectVersion

    public AccessContractModel setEveryDataObjectVersion(Boolean everyDataObjectVersion)
    Set the 'everyDataObjectVersion' flag on the contract.
    Parameters:
      `everyDataObjectVersion` - if true, all data object version are enabled for this contract
    Returns:
      this

  - ### getRootUnits

    public Set<String> getRootUnits()
    Returns:
      the root units

  - ### setRootUnits

    public AccessContractModel setRootUnits(Set<String> rootUnits)
    Collection of GUID of archive units. If not empty, access is restricted only to the given rootUnits and there childs. Access not permitted to parent units of the rootUnits Access not permitted to parent units of the rootUnits
    Parameters:
      `rootUnits` - collection of guid of units (can be empty)
    Returns:
      this

  - ### getExcludedRootUnits

    public Set<String> getExcludedRootUnits()
    Returns:
      the excluded root units

  - ### setExcludedRootUnits

    public AccessContractModel setExcludedRootUnits(Set<String> excludedRootUnits)
    Collection of archive units' GUIDs. If not empty then access is forbidden to given unit and its children.
    Parameters:
      `excludedRootUnits` - collection of guid of units (can be empty)
    Returns:
      this

  - ### getAccessLog

    public ActivationStatus getAccessLog()

  - ### setAccessLog

    public AccessContractModel setAccessLog(ActivationStatus accessLog)

  - ### getRuleCategoryToFilter

    public Set<RuleType> getRuleCategoryToFilter()

  - ### setRuleCategoryToFilter

    public AccessContractModel setRuleCategoryToFilter(Set<RuleType> ruleCategoryToFilter)

  - ### getRuleCategoryToFilterForTheOtherOriginatingAgencies

    public Set<RuleType> getRuleCategoryToFilterForTheOtherOriginatingAgencies()

  - ### setRuleCategoryToFilterForTheOtherOriginatingAgencies

    public AccessContractModel setRuleCategoryToFilterForTheOtherOriginatingAgencies(Set<RuleType> ruleCategoryToFilterForTheOtherOriginatingAgencies)

  - ### getSkipFilingSchemeRuleCategoryFilter

    public Boolean getSkipFilingSchemeRuleCategoryFilter()

  - ### setSkipFilingSchemeRuleCategoryFilter

    public AccessContractModel setSkipFilingSchemeRuleCategoryFilter(Boolean skipFilingSchemeRuleCategoryFilter)

  - ### getDoNotFilterFilingSchemes

    public Boolean getDoNotFilterFilingSchemes()

  - ### setDoNotFilterFilingSchemes

    public AccessContractModel setDoNotFilterFilingSchemes(Boolean doNotFilterFilingSchemes)

  - ### initializeDefaultValue

    public void initializeDefaultValue()